Bug 1190722 - (CVE-2020-20895) VUL-0: CVE-2020-20895: ffmpeg: Buffer Overflow vulnerability in function filter_vertically_##name in libavfilter/vf_avgblur.c
(CVE-2020-20895)
VUL-0: CVE-2020-20895: ffmpeg: Buffer Overflow vulnerability in function filt...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/310566/
CVSSv3.1:SUSE:CVE-2020-20895:6.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-21 14:01 UTC by Alexander Bergmann
Modified: 2023-01-02 14:23 UTC (History)
6 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2021-09-21 14:01:29 UTC
CVE-2020-20895

Buffer Overflow vulnerability in function filter_vertically_##name in
libavfilter/vf_avgblur.c in Ffmpeg 4.2.1, allows attackers to cause a Denial of
Service or other unspecified impacts.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-20895
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-20895
https://git.ffmpeg.org/gitweb/ffmpeg.git/commit/f069a9c2a65bc20c3462127623127df6dfd06c5b
https://trac.ffmpeg.org/ticket/8274
Comment 1 Alexander Bergmann 2021-09-22 13:51:57 UTC
Commit can be applied nicely to 3.4.2.
Comment 4 Swamp Workflow Management 2021-10-26 19:25:58 UTC
SUSE-SU-2021:3521-1: An update that fixes 12 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1186756,1187852,1189166,1190718,1190719,1190722,1190723,1190726,1190729,1190733,1190734,1190735
CVE References: CVE-2020-20891,CVE-2020-20892,CVE-2020-20895,CVE-2020-20896,CVE-2020-20899,CVE-2020-20902,CVE-2020-22037,CVE-2020-35965,CVE-2021-3566,CVE-2021-38092,CVE-2021-38093,CVE-2021-38094
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    ffmpeg-3.4.2-11.17.1
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    ffmpeg-3.4.2-11.17.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    ffmpeg-3.4.2-11.17.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    ffmpeg-3.4.2-11.17.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    ffmpeg-3.4.2-11.17.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    ffmpeg-3.4.2-11.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2021-10-26 19:34:11 UTC
openSUSE-SU-2021:3521-1: An update that fixes 12 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1186756,1187852,1189166,1190718,1190719,1190722,1190723,1190726,1190729,1190733,1190734,1190735
CVE References: CVE-2020-20891,CVE-2020-20892,CVE-2020-20895,CVE-2020-20896,CVE-2020-20899,CVE-2020-20902,CVE-2020-22037,CVE-2020-35965,CVE-2021-3566,CVE-2021-38092,CVE-2021-38093,CVE-2021-38094
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    ffmpeg-3.4.2-11.17.1
Comment 8 Gabriele Sonnu 2022-04-29 08:01:24 UTC
Done.
Comment 10 Swamp Workflow Management 2023-01-02 14:23:23 UTC
SUSE-SU-2023:0005-1: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 1186756,1186761,1187852,1189166,1190718,1190719,1190722,1190723,1190726,1190729,1190733,1190734,1190735,1206442
CVE References: CVE-2020-20891,CVE-2020-20892,CVE-2020-20895,CVE-2020-20896,CVE-2020-20899,CVE-2020-20902,CVE-2020-22037,CVE-2020-22042,CVE-2020-35965,CVE-2021-3566,CVE-2021-38092,CVE-2021-38093,CVE-2021-38094,CVE-2022-3109
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    ffmpeg-3.4.2-150000.4.44.1
SUSE Linux Enterprise Server for SAP 15 (src):    ffmpeg-3.4.2-150000.4.44.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    ffmpeg-3.4.2-150000.4.44.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    ffmpeg-3.4.2-150000.4.44.1
SUSE Linux Enterprise Server 15-LTSS (src):    ffmpeg-3.4.2-150000.4.44.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    ffmpeg-3.4.2-150000.4.44.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    ffmpeg-3.4.2-150000.4.44.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    ffmpeg-3.4.2-150000.4.44.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    ffmpeg-3.4.2-150000.4.44.1
SUSE Enterprise Storage 6 (src):    ffmpeg-3.4.2-150000.4.44.1
SUSE CaaS Platform 4.0 (src):    ffmpeg-3.4.2-150000.4.44.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.